/* bootstrap adjustments */

a > i.glyphicon:first-child,
button > i.glyphicon:first-child,
.modal-header i.glyphicon,
a > i.fi:first-child,
button > i.fi:first-child,
.modal-header i.fi,
a > i.fa:first-child,
button > i.fa:first-child,
.modal-header i.fa {
    margin-right: 5px;
}

a > i.glyphicon:last-child,
button > i.glyphicon:last-child,
a > i.fi:last-child,
button > i.fi:last-child,
a > i.fa:last-child,
button > i.fa:last-child {
    margin-right: 0px
}

ul.dropdown-menu > li.divider {
  &:first-child, &:last-child {
    display: none;
  }
}

nav > .navbar-nav > li.active > a > b.caret {
    // border-top-color: white !important;
    // border-bottom-color: white !important;
}

.glyphicon-none:before {
    content: "\2122";
    color: transparent !important;
}

.fa-none:before {
    content: "\2122";
    color: transparent !important;
}

.dropdown-submenu {
    position:relative;
}
.dropdown-submenu > .dropdown-menu {
    top: 0px;
    left: 100%;
    margin-top: -6px;
    margin-left: -1px;
}
.dropdown-menu-left .dropdown-submenu > .dropdown-menu {
    left: 100%;
    margin-left: -1px;
}
.dropdown-menu-right .dropdown-submenu > .dropdown-menu {
    left: initial;
    right: 100%;
    margin-right: -1px;
}
.dropdown-submenu:hover > .dropdown-menu {
    display: block;
}
.dropup .dropdown-submenu > .dropdown-menu {
    margin-bottom: auto;
    bottom: -6px;
    top: auto;
}
.dropdown-submenu > a:after {
    display: block;
    content: " ";
    float: right;
    width: 0px;
    height: 0px;
    border-color: transparent;
    border-style: solid;
    border-width: 5px 0px 5px 5px;
    border-left-color: #cccccc;
    margin-top: 5px;
    margin-right: -10px;
}
.dropdown-submenu:hover > a:after {
    border-left-color: #ffffff;
}


/* basic classes */

.vispa-absolute (@top: 0px, @right: 0px, @bottom: 0px, @left: 0px) {
    position: absolute;
    top: @top;
    right: @right;
    bottom: @bottom;
    left: @left;
}

.vispa-hidden {
    display: hidden;
}

.vispa-blur {
    /*
    -webkit-filter: blur(1px);
    -webkit-transition: -webkit-filter 300ms;
    */
}

.vispa-modal {
    .vispa-absolute;
    background-color: rgba(0, 0, 0, 0.4);
    cursor: default;
    z-index: 10;
}

.vispa-center-center {
    display: flex;
    justify-content: center;
    align-items: center;
}

.vispa-table-outer {
    display: table;
    height: 100%;
    width: 100%;
}

.vispa-table-inner {
    display: table-cell;
    vertical-align: middle;
}

.vispa-rtl-fix {
    color: transparent;
    font-size: 0px;
}
.vispa-rtl-fix-hidden {
    .vispa-rtl-fix;
    display: none;
}

.vispa-caret-trans {
    border-top-color: transparent !important;
    border-bottom-color: transparent !important;
}

.vispa-zeroheight {
    height: 0px !important;
}

body > .blocker {
    visibility: hidden !important;
    opacity: 0 !important;
}

.btn-nostyle {
    border: none;
    background: none;
}

// modal stuff (bs less)
.modal {
    position: absolute;
    display: table;
    width: 100%;
    height: 100%;
    &.backdrop {
        background-color: rgba(0, 0, 0, .5);
    }
    &.prompt input {
        display: block;
        margin-top: 1em;
        width: 100%;
    }
    h4.modal-title button.vispa-comp-close {
        float: right;
    }
}
